Bug 1842466 - Find_loadbalancer method should also use provider information
Summary: Find_loadbalancer method should also use provider information
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.6.0
Assignee: Luis Tomas Bolivar
QA Contact: GenadiC
URL:
Whiteboard:
Depends On:
Blocks: 1843817
TreeView+ depends on / blocked
 
Reported: 2020-06-01 10:28 UTC by Luis Tomas Bolivar
Modified: 2020-10-27 16:03 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:02:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kuryr-kubernetes pull 259 0 None closed Bug 1842466: Ensure provider information is used when finding lbs 2020-07-21 14:10:19 UTC
OpenStack gerrit 732154 0 None MERGED Ensure provider information is used when finding lbs 2020-07-21 14:10:19 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:03:28 UTC

Description Luis Tomas Bolivar 2020-06-01 10:28:00 UTC
Since OpenShift 4.4, kuryr support both amphora and ovn octavia loadbalancer drivers. Kuryr should differentiate existing loadbalancer depending on its provider too

Comment 3 rlobillo 2020-07-21 14:32:24 UTC
Verified on OCP4.6.0-0.nightly-2020-07-15-091743 over OSP16 (RHOS-16.1-RHEL-8-20200701.n.0) with OVN.

upgrade from amphoras to ovn_octavia successfully performed as verification of https://bugzilla.redhat.com/show_bug.cgi?id=1846862

This implies that kuryr controller is able to correctly discern between amphoras and ovn load balancers to perform the upgrade.

Comment 5 errata-xmlrpc 2020-10-27 16:02:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.